ValueHandlerFactory.BaseValueHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Class ValueHandlerFactory.BaseValueHandler<T>

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<T>

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<T>

Direct Known Subclasses:
  ValueHandlerFactory.BigDecimalValueHandler, ValueHandlerFactory.BigIntegerValueHandler, ValueHandlerFactory.ByteValueHandler, ValueHandlerFactory.DoubleValueHandler, ValueHandlerFactory.FloatValueHandler, ValueHandlerFactory.IntegerValueHandler, ValueHandlerFactory.LongValueHandler, ValueHandlerFactory.NoOpValueHandler, ValueHandlerFactory.ShortValueHandler, ValueHandlerFactory.StringValueHandler

Enclosing class:
  ValueHandlerFactory

    public abstract static class ValueHandlerFactory.BaseValueHandler<T>

extends Object
implements ValueHandlerFactory.ValueHandler<T>, Serializable

See Also:
  Serialized Form

Constructor Summary
`ValueHandlerFactory.BaseValueHandler()`

Method Summary
`String` | `render(T value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.ValueHandlerFactory.ValueHandler
`convert`

Constructor Detail

### ValueHandlerFactory.BaseValueHandler

    public ValueHandlerFactory.BaseValueHandler()

Method Detail

### render

    public String render(T value)

  Specified by:
    `render` in interface `ValueHandlerFactory.ValueHandler<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.